<?php

   include("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }

    ?>


    <html>
    <head></head>
    <body>
      <center>

<!--
      <h1>Operaciones Administrador</h1>   
<form action="Admin_config.php" method="POST">
<label>Usuario: <?php echo $dato[2]; ?> </label>
<br>
<label>Cambiar Contrase&ntilde;a</label>
<br>
<label>Nueva Contrase&ntilde;a :</label>
<input type="password" name="contras_Ad" placeholder="Nueva Contrase&ntilde;a">
<br>
<label>Repite Nueva Contrase&ntilde;a</label>
<input type="password" name="contras_Ad_rep" placeholder="Nueva Contrase&ntilde;a">
<br>
<input type="hidden" value="1" name="sub"> 
<input type="submit" value="Cambiar Contrase&ntilde;a">

<br>
<br>
<br>
</form>
<hr>
<h2>Nuevo Administrador</h2>
<form action="Admin_config.php" method="POST">
<input type="hidden" value="new_ad" name="new_adm">
<input type="submit" value=" Nuevo Administrador">

</form>
-->


<?php
/*
if(isset($_POST['new_adm']))
{
  echo "<form action='Admin_config.php' method='POST'>";
  echo "<label>Nombre de usuario</label>";
  echo "<input type='text' name='nick_admin'> ";
  echo "<br>";
  echo "<label>Contrase&ntilde;a:</label>";
  echo "<input type='password' name='pass_admin'> ";
  echo "<br>";
  echo "<label>Repite Contrase&ntilde;a:</label>";
  echo "<input type='password' name='pass_admin_rep'> ";
  echo "<input type='hidden' value='ne_ad' name='reg_ad'>";
  echo "<input type='submit'value='Enviar' >";
  echo "</form>";
}
  
  if(isset($_POST['reg_ad']) && $_POST['nick_admin']!="" && $_POST['pass_admin'] && $_POST['pass_admin_rep']!="")
  {

    $compr=$_POST['pass_admin'];
    $compr2=$_POST['pass_admin_rep'];
    $admin=$_POST['nick_admin'];

    if($compr2==$compr)
    {

      $encryptedpass=md5($compr);
      echo "<script> alert('Administrador $admin en linea.');</script>";
      $instert_new_admin="INSERT INTO usuarios_sist (rango_idrango,nombre_usr,passwd) values ('1','$admin','$encryptedpass')";
     // echo $instert_new_admin;
      $ghg=mysql_query($instert_new_admin) or die ("Error 98547-52: ".mysql_error());
    }
    else
    {
      echo "<script> alert('Las contrase&ntilde;as no son iguales , intenta nuevamente');</script>";
    }

  }
*/
?>
<hr>
<h2> Monitor de Transacciones</h2>
<script type='text/javascript' src='../admin/popcalendar.js'></script>
    
     Buscar Por Fecha

     <form action="Admin_config.php" method="POST">
        <table width=\"357\" height=\"120\" border=\"1\">
            <tr>
                <td>Fecha Inicial: </td>
                <td><input type='text' id='fecha_i' name="fecha_i" value="">&nbsp;<input type='image' src='ew_calendar.gif' onClick="popUpCalendar(this,this.form.fecha_i,'yyyy-mm-dd');return false;"></td>
                <td>Fecha Final: </td>
                <td><input type='text' id='fecha_f' name="fecha_f" value="">&nbsp;<input type='image' src='ew_calendar.gif' onClick="popUpCalendar(this,this.form.fecha_f,'yyyy-mm-dd');return false;"></td>
               <td> <input type="hidden" name="monitor" value="00"></td>
                  <br>
                  <br>
                <input type="submit" value="Buscar">
                 <br>
                  <br>
            </tr>
        </table>
   
</form>

<?php 
if(isset($_POST['monitor']))
{

  $fecha_in=$_POST['fecha_i'];
  $fecha_fin=$_POST['fecha_f'];
  $monitorfech="SELECT id_trans, nombre_user_ci, usuarios_ci.nombre, usuarios_ci.rango_idrango, fechat_mtor, horat_mtor, centros.nombre FROM `monitor` left outer join usuarios_ci on (usuarios_ci.idusuarios_ci=monitor.nombre_user_ci) left outer join centros on centros.idcd=usuarios_ci.centros_idcd where fechat_mtor >='$fecha_in' and fechat_mtor <='$fecha_fin' ";
  $sql2=mysql_query($monitorfech) or die ("Error al mostrar: ".  mysql_error());
    echo "<table id='monitor' border=2 cellspacing=2 bordercolor=ff6633 align='center' bgcolor='#ffffcc'>"
            . "<tr>"
               . "<td>Transacci&oacute;n</td>"
               . "<td>Nombre Usuario</td>"
               . "<td>Rango</td>"
               . "<td>Centro</td>"
               . "<td>Fecha</td>"
               . "<td>Hora</td>"
            . "</tr>"; 
    while($armtor = mysql_fetch_array($sql2, MYSQL_BOTH)){
       echo "<tr>"
                . "<td>".$armtor[0]."</td>"
                . "<td>".$armtor[2]."</td>"
                . "<td>".$armtor[3]."</td>"
                . "<td>".$armtor[6]."</td>"
                . "<td>".$armtor[4]."</td>"
                . "<td>".$armtor[5]."</td>"
                . "<td>"
		. "<form name='ticketgener' action='guias.php' method='POST'>"
                . "<input type='submit' name='ticket' id='verTicket' value='Detalles' />"
                . "<input type='hidden' name='transacc' value=$armtor[0] />"
                . "</form>"
                . "</td>"
            . "</tr>"; 
    }
 
    echo "</table>";
 
}
else
{
  echo "<h2>Ultimas Transacciones</h2> ";
  $monitor="SELECT id_trans, nombre_user_ci, usuarios_ci.nombre, usuarios_ci.rango_idrango, fechat_mtor, horat_mtor, centros.nombre FROM `monitor` left outer join usuarios_ci on (usuarios_ci.idusuarios_ci=monitor.nombre_user_ci) left outer join centros on centros.idcd=usuarios_ci.centros_idcd where fechat_mtor order by id_monitor LIMIT 15;";
    $sql2=mysql_query($monitor) or die ("Error al mostrar: ".  mysql_error());
    echo "<table id='monitor' border=2 cellspacing=2 bordercolor=ff6633 align='center' bgcolor='#ffffcc'>"
            . "<tr>"
               . "<td>Transacci&oacute;n</td>"
               . "<td>Nombre Usuario</td>"
               . "<td>Rango</td>"
               . "<td>Centro</td>"
               . "<td>Fecha</td>"
               . "<td>Hora</td>"
               . "<td>Detalles</td>"
            . "</tr>"; 
    while($armtor = mysql_fetch_array($sql2, MYSQL_BOTH)){
       echo "<tr>"
                . "<td>".$armtor[0]."</td>"
                . "<td>".$armtor[2]."</td>"
                . "<td>".$armtor[3]."</td>"
                . "<td>".$armtor[6]."</td>"
                . "<td>".$armtor[4]."</td>"
                . "<td>".$armtor[5]."</td>"
                . "<td>"
		. "<form name='ticketgener' action='guias.php' method='POST'>"
                . "<input type='submit' name='ticket' id='verTicket' value='Detalles' />"
                . "<input type='hidden' name='transacc' value=$armtor[0] />"
                . "</form>"
                . "</td>"
            . "</tr>"; 
    }
 
    echo "</table>";
}

?>

<hr>


<br>

<h2>Rastreo de Voucher</h2>

<form action="Admin_config.php" method="POST">

<label>Buscar por :</label>
<br>
<select name="opt">
<option  value="rfc" >RFC</option>
<option value="numv" >Numero de Voucher</option>
</select>
<input type="text" name="voucher"></input>
<input type="hidden" name="perm" value="1"></input>
<input type="Submit" value="Buscar"></input>

</form>  

<?php
 $patron="/^[0-9a-zA-Z]+$/";
if(isset($_POST['perm']) && isset($_POST['voucher'])){
  

 $lol=$_POST['voucher'];
 if(preg_match($patron,$lol))
  {

$opts=$_POST['opt'];
 switch ($opts) {
   case 'rfc':
     $sql="SELECT * from inversionista where rfc='$lol'";
     $checkrfc=mysql_query($sql);
     $checkrfc2=mysql_fetch_object($checkrfc);
    if($checkrfc2->rfc==$lol)
    {
     $busquedavoucher="SELECT * from voucher where id_inv='$checkrfc2->id_inver' ";
     $resbusqueda=mysql_query($busquedavoucher);
     while ($resbusquedaarr=mysql_fetch_object($resbusqueda)){
     if($resbusquedaarr!=null)
     { 
     echo "<table border='1' >";
     echo "<tr>";
     echo "<td>Numero de voucher</td>";
     echo "<td>Inversionista</td>";
     echo "<td>Nombre</td>";
     echo "<td>Valor</td>";
     echo "<td>Fecha de ultima actualización</td>";
     echo "</tr>";
     echo "<tr>";
     echo "<td>$resbusquedaarr->idv</td>";
     echo "<td>$resbusquedaarr->id_inv</td>";
     echo "<td>$checkrfc2->nombre $checkrfc2->appat $checkrfc2->apmat</td>";
     echo "<td>$resbusquedaarr->restante</td>";
     echo "<td>$resbusquedaarr->fecha_mod</td>";
     echo "</tr>";
    
     echo "</table>";
     }
   else
   {
    echo "No existen vouchers para este inversionista";
   }
     }
     
   }
    else
    {
      echo "No existe el RFC digitado";

    }
     break;
   
   case 'numv':
    $numvouch="SELECT * from voucher where idv='$lol'";
    $resnumvouc=mysql_query($numvouch);
    $obvouch=mysql_fetch_object($resnumvouc);
    $rfcvouc="SELECT rfc , nombre , appat, apmat from inversionista where id_inver='$obvouch->id_inv'";
    $resrfcvou=mysql_query($rfcvouc);
    $obrfcvou=mysql_fetch_object($resrfcvou);
    if($obrfcvou!=null)
    {
    echo "<table border='1'>";
    echo "<tr>";
    echo "<td>Numero de voucher</td>";
    echo "<td>Inversionista</td>";
    echo "<td>RFC</td>";
    echo "<td>Nombre</td>";
    echo "<td>Valor</td>";
    echo "<td>Fecha de ultima actualización</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td>$obvouch->idv</td>";
    echo "<td>$obvouch->id_inv</td>";
    echo "<td>$obrfcvou->rfc</td>";
    echo "<td>$obrfcvou->nombre $obrfcvou->appat $obrfcvou->apmat</td>";
    echo "<td>$obvouch->restante</td>";
    echo "<td>$obvouch->fecha_mod</td>";
    echo "</tr>";
    echo "</table>";
     break;
  }
  else
  {
    echo "No existe el voucher solicitado";
     break;
  }

  
 
 }
  
  }
else{

 echo "<script> alert('Solo numeros y letras en este campo');</script>";
 }

}
?>
</center>



    </body>
    </html>

<?php
/*
if(isset($_POST['sub']))
{
  $compare=$_POST['contras_Ad'];
  $compare2=$_POST['contras_Ad_rep'];


  if($compare2==$compare&&$compare!="" && $compare2!="")
  {
  $insert_new_pass=md5($compare);
  $sql="UPDATE usuarios_sist SET passwd='".$insert_new_pass."' where nombre_usr='".$dato[2]."' ";
try{
  mysql_query($sql);
   echo "<script> alert('Se ha cambiado la contrase&ntilde;a con exito ,Enjoy!');</script>";
}
catch(exception $e)
{
  echo $e;
}

  }
else
  echo "<script> alert('Las contrase&ntilde;as no coinciden , favor de verificar');</script>";

}
*/
?>



